
Python Libraries - Task #7821

Verify Expect: 100-Continue header on POST or PUT requests

2016-05-31 20:55 - Robert Waltz

Status: New Start date: 2016-05-31

Priority: Low Due date:  

Assignee: Roger Dahl % Done: 0%

Category: d1_libclient_python Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

We may be adding support for the 100-Continue header in order to successfully upload content on some member node servers.

More description of the header's use from a Java client:

    'Expect: 100-Continue' handshake for the entity enclosing methods. 

    The purpose of the Expect: 100-Continue handshake is to allow the client 

    that is sending a request message with a request body to determine if 

    the origin server is willing to accept the request (based on the request 

    headers) before the client sends the request body. The use of the 

    Expect: 100-continue handshake can result in a noticeable performance 

    improvement for entity enclosing requests (such as POST and PUT) that 

    require the target server's authentication. 

    https://hc.apache.org/httpcomponents-client-4.2.x/tutorial/html/fundamentals.html

Related issues:

Related to Infrastructure - Task #7822: Should we configure clients to use Ex... New 2016-06-02

History

#1 - 2016-05-31 20:55 - Robert Waltz

- Related to Bug #2693: Error -1205 "Client Certificate Rejected" by Safari added

#2 - 2016-06-03 19:48 - Robert Waltz

- Related to deleted (Bug #2693: Error -1205 "Client Certificate Rejected" by Safari)

#3 - 2016-06-03 19:49 - Robert Waltz

- Related to Task #7822: Should we configure clients to use Expect 100-Continue header in 1.1 requests added

#4 - 2016-06-03 19:58 - Robert Waltz

- Description updated

- Priority changed from Normal to Low
